Loading...
Searching...
No Matches
Opm::UDQBinaryFunction Class Reference
Inheritance diagram for Opm::UDQBinaryFunction:

## Public Member Functions

| UDQBinaryFunction (const std::string &name, std::function< UDQSet(const UDQSet &lhs, const UDQSet &rhs)> f)
UDQSet | eval (const UDQSet &, const UDQSet &arg) const
Public Member Functions inherited from Opm::UDQFunction
| UDQFunction (const std::string &name)
| UDQFunction (const std::string &name, UDQTokenType funcType)
const std::string & | name () const
UDQTokenType | type () const
bool | operator== (const UDQFunction &data) const

## Static Public Member Functions

static UDQSet | EQ (double eps, const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | NE (double eps, const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | LE (double eps, const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | GE (double eps, const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | POW (const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | LT (const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | GT (const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | ADD (const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | MUL (const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | SUB (const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | DIV (const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | UADD (const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | UMUL (const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | UMAX (const UDQSet &lhs, const UDQSet &rhs)
static UDQSet | UMIN (const UDQSet &lhs, const UDQSet &rhs)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/UDQ/UDQFunction.hpp
- opm/input/eclipse/Schedule/UDQ/UDQFunction.cpp